import { getData } from '../../utils/DataTemplate';
import {setToken} from "../../utils/auth";
import {login} from "../../services/login";
export default {

  namespace: 'home',

  state: {
    SummaryData:null,
    Summary:null,
  },

  subscriptions: {
    setup({ dispatch, history }) {  // eslint-disable-line
    },
  },

  effects: {
    *getSummaryData({ payload }, { take, put, call, select }) {
      const payloads = { userName:'admin',password:'admin', type: 'userName', authType: 'password' };
      try{
        const result = yield call(login, payloads);
        console.info(result);
        const { tokenId } = result;
        yield call(setToken, tokenId);// 这里的yield ,跟C#中的await一样
      }
      catch (erroer) {
        console.info(erroer);
      }


      const { pNumber } = payload;
      const coordinate = {
        containerType: 'module',
        containerName: 'QueryJiDiModule',
        datasourceName: 'QueryDistrictName',
      };
      try {
        const resultss = yield call(getData, coordinate, { pst: 0, psz: 10 ,params:{pNumber:pNumber}});
        console.info('查询的结果');
        console.info(resultss);
        yield put({ type: 'setSummaryData',payload:{resultss} });
      }catch (erroer){
        console.info(erroer);
      }
      // 这是以后放到服务器时候用的代码，因为现在要测试，所以要先注释
      // const { pNumber } = payload;
      // const coordinate = {
      //   containerType: 'module',
      //   containerName: 'QueryJiDiModule',
      //   datasourceName: 'QueryDistrictName',
      // };
      // try {
      //   const resultss = yield call(getData, coordinate, { pst: 0, psz: 10 ,params:{pNumber:pNumber}});
      //   console.info('查询的结果');
      //   console.info(resultss);
      //   yield put({ type: 'setSummaryData',payload:{resultss} });
      // }catch (erroer){
      //   console.info(erroer);
      // }

    },
    *getSummary({ payload }, { take, put, call, select }) {
      const { pNumber } = payload;
      const coordinate = {
        containerType: 'module',
        containerName: 'QueryJiDiModule',
        datasourceName: 'QueryTotalDistrictName',
      };
      try {
        const resultss = yield call(getData, coordinate, { pst: 0, psz: 10 ,params:{pNumber:pNumber}});
        console.info('查询的结果');
        console.info(resultss);
        yield put({ type: 'setSummary',payload:{resultss} });
      }catch (erroer){
        console.info(erroer);
      }

    },
  },

  reducers: {
    setSummaryData(state,{payload}){
      return {...state,SummaryData:payload.resultss};
    },
    setSummary(state,{payload}){
      return {...state,Summary:payload.resultss};
    },
  },

};
