import React from 'react';
import PropTypes from 'prop-types';
import { connect } from 'dva';
import logo from '../assets/logo.svg';
class MiddleSelectPage extends React.Component{
  componentDidMount() {
    const { dispatch } = this.props;
    console.info(this.props);
    setTimeout(function () {
      dispatch({ type: 'middleSelect/checkOpenID',payload: {}})
    },1000);

  }

  render(){
    const myImg = src => <img src={src} alt="" style={{width:"100px", height:"100px"}} />;
    return (
      <div style={{paddingTop:"100px",textAlign:"center"}}>
        {myImg(logo)}
        <h3>欢迎进入上海征地房屋补偿公众号</h3>
      </div>
    );
  }
}
MiddleSelectPage.propTypes = {
  middleSelect: PropTypes.object,
};
// 指定订阅数据，这里关联了 login
function mapStateToProps({ middleSelect }) {
  return {middleSelect};
}
export default connect(mapStateToProps)(MiddleSelectPage);
